{% 
  set _master_zones = 
    (
      __glxclans_dns_master_zone_domains
      | selectattr('view', 'defined')
      | selectattr('view', 'eq', _current_view)
    )
%}
{% if _current_view == 'default' %}
{%   set _master_zones = _master_zones | union(__glxclans_dns_master_zone_domains|selectattr('view', 'undefined'))  %}
{% endif %}

{% for bind_zone in _master_zones %}
  zone "{{ bind_zone.name }}" IN {
    type master;
    file "{{ __glxclans_dns_zone_dir }}/{{ bind_zone.name }}.{{ bind_zone.view | default('default') }}";
    notify yes;
{% if bind_zone.also_notify is defined %}
    also-notify  { {{ bind_zone.also_notify|join('; ') }}; };
{% endif %}
{% if bind_zone.allow_update is defined %}
    allow-update { {{ bind_zone.allow_update|join('; ') }}; };
{% else %}
    allow-update { none; };
{% endif %}
{% if bind_zone.delegate is defined %}
    forwarders {};
{% endif %}
{% if bind_zone.allow_transfer is defined %}
    allow-transfer { {{ bind_zone.allow_transfer|join('; ') }}; };
{% else %}
    allow-transfer { none; };
{% endif %}
{% if bind_zone.allow_query is defined %}
    allow-query    { {{ bind_zone.allow_query|join('; ') }}; };
{% endif %}
  };

{% if bind_zone.networks is defined %}
{% for network in bind_zone.networks %}
  zone "{{ ('.'.join(network.replace(network+'.','').split('.')[::-1])) }}.in-addr.arpa" IN {
    type master;
    file "{{ __glxclans_dns_zone_dir }}/{{ ('.'.join(network.replace(network+'.','').split('.')[::-1])) }}.in-addr.arpa";
    notify yes;
{% if bind_zone.also_notify is defined %}
    also-notify  { {{ bind_zone.also_notify|join('; ') }}; };
{% endif %}
{% if bind_zone.allow_update is defined %}
    allow-update { {{ bind_zone.allow_update|join('; ') }}; };
{% else %}
    allow-update { none; };
{% endif %}
{% if bind_zone.allow_query is defined %}
    allow-query  { {{ bind_zone.allow_query|join('; ') }}; };
{% endif %}
  };
{% endfor %}
{% endif %}

{% if bind_zone.ipv6_networks is defined %}
{% for network in bind_zone.ipv6_networks %}
  zone "{{ (network | ansible.netcommon.ipaddr('revdns'))[-(9+(network|regex_replace('^.*/','')|int)//2):] }}" IN {
    type master;
    file "{{ __glxclans_dns_zone_dir }}/{{ (network | ansible.netcommon.ipaddr('revdns'))[-(9+(network|regex_replace('^.*/','')|int)//2):-1] }}";
    notify yes;
{% if bind_zone.also_notify is defined %}
    also-notify  { {{ bind_zone.also_notify|join('; ') }}; };
{% endif %}
{% if bind_zone.allow_update is defined %}
    allow-update { {{ bind_zone.allow_update|join('; ') }}; };
{% else %}
    allow-update { none; };
{% endif %}
{% if bind_zone.allow_query is defined %}
    allow-query  { {{ bind_zone.allow_query|join('; ') }}; };
{% endif %}
  };
{% endfor %}
{% endif %}
{% endfor %}
